Imports a manifest containing definitions from the application.
1 min
PUT
/api/episerver/v3.0/contentmanifest
allowedUpgradesobjectDefines which types of semantic upgrades are allowed.
continueOnErrorbooleanDefines whether import of the next manifest section should continue if the previous fails.
forcebooleanDefines whether the import should proceed even though there are warnings or changes that are not allowed.
acceptstringGenerated from available response content types
bodyobjectThe manifest to import.
200Ok
400Bad request
403Forbidden
curl --request PUT \
--url '/api/episerver/v3.0/contentmanifest?allowedUpgrades=object&continueOnError=true&force=boolean' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"contentTypes": [
{
"name": "",
"baseType": "",
"properties": [
{
"name": "",
"dataType": "",
"validation": [
{
"name": ""
}
]
}
]
}
],
"propertyGroups": [
{
"name": ""
}
],
"editorDefinitions": [
{
"dataType": ""
}
]
}'